//
// Copyright (C) 1999-2004 WideStudio Development Team
//
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to
// deal in the Software without restriction, including without limitation the
// rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
// sell copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
// WIDESTUDIO DEVELOPMENT TEAM BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
// SOFTWARE.
// Except as contained in this notice, the name of WideStudio Development Team
// shall not be used in advertising or otherwise to promote the sale, use or
// other dealings in this Software without prior written authorization from
// WideStudio Development Team.

#ifndef WSSDEF_H
#define WSSDEF_H

#include <WScom.h>

#ifndef WS_EMBED

#define WSStitleString			_WSStitleString()
#define WSSuserString			_WSSuserString()
#define WSSuserValue			_WSSuserValue()
#define WSSx			_WSSx()
#define WSSy			_WSSy()
#define WSSwidth			_WSSwidth()
#define WSSheight			_WSSheight()
#define WSSshadowThickness			_WSSshadowThickness()
#define WSSbackColor			_WSSbackColor()
#define WSSforeColor			_WSSforeColor()
#define WSStopShadowColor			_WSStopShadowColor()
#define WSSbottomShadowColor			_WSSbottomShadowColor()
#define WSSshadowType			_WSSshadowType()
#define WSSvis			_WSSvis()
#define WSSdet			_WSSdet()
#define WSSlabelString			_WSSlabelString()
#define WSSfont			_WSSfont()
#define WSSfontName			_WSSfontName()
#define WSStitleBar			_WSStitleBar()
#define WSStwinBlink			_WSStwinBlink()
#define WSSblinkColor			_WSSblinkColor()
#define WSSblinkRefreshing			_WSSblinkRefreshing()
#define WSSpixmapStyle			_WSSpixmapStyle()
#define WSSlabelPixmap			_WSSlabelPixmap()
#define WSSkanjiIn			_WSSkanjiIn()
#define WSSinterCur			_WSSinterCur()
#define WSSinterval			_WSSinterval()
#define WSScont				_WSScont()
#define WSSrunning				_WSSrunning()
#define WSSextension			_WSSextension()
#define WSSmaxLength			_WSSmaxLength()
#define WSSworkWidth			_WSSworkWidth()
#define WSSworkHeight			_WSSworkHeight()
#define WSSbarValue			_WSSbarValue()
#define WSSvbarValue			_WSSvbarValue()
#define WSShbarValue			_WSShbarValue()
#define WSShbarVisible			_WSShbarVisible()
#define WSSvbarVisible			_WSSvbarVisible()
#define WSSworkBackColor			_WSSworkBackColor()
#define WSSbarThickness			_WSSbarThickness()
#define WSSincrement			_WSSincrement()
#define WSSpageIncrement			_WSSpageIncrement()
#define WSSsliderSize			_WSSsliderSize()
#define WSSvalue			_WSSvalue()
#define WSSmaximum			_WSSmaximum()
#define WSSorientation			_WSSorientation()
#define WSSbackPixmap			_WSSbackPixmap()
#define WSScolumns			_WSScolumns()
#define WSScursorPos			_WSScursorPos()
#define WSSmenuItems			_WSSmenuItems()
#define WSSmenuItemHeight			_WSSmenuItemHeight()
#define WSSbarShadowColor			_WSSbarShadowColor()
#define WSSupward			_WSSupward()
#define WSSdownward			_WSSdownward()
#define WSSleftward			_WSSleftward()
#define WSSrightward			_WSSrightward()
#define WSSreturn			_WSSreturn()
#define WSStab			_WSStab()
#define WSSbacktab			_WSSbacktab()
#define WSSenableFocusMove			_WSSenableFocusMove()
#define WSSclient			_WSSclient()
#define WSSselectReset			_WSSselectReset()
#define WSSselectString			_WSSselectString()
#define WSSselectColor			_WSSselectColor()
#define WSSselectForeColor			_WSSselectForeColor()
#define WSSselectPixmap			_WSSselectPixmap()
#define WSSindicatorPixmap			_WSSindicatorPixmap()
#define WSSindicatorColor			_WSSindicatorColor()
#define WSSindicatorOn			_WSSindicatorOn()
#define WSSindicatorType			_WSSindicatorType()
#define WSSindicatorSize			_WSSindicatorSize()
#define WSSgroup			_WSSgroup()
#define WSSid			_WSSid()
#define WSSunique			_WSSunique()
#define WSSscrollWidth			_WSSscrollWidth()
#define WSSscrollHeight			_WSSscrollHeight()
#define WSStitleHeight			_WSStitleHeight()
#define WSSfillSpace			_WSSfillSpace()
#define WSSifieldSkipMode			_WSSifieldSkipMode()
#define WSScursorAdjust			_WSScursorAdjust()
#define WSSdateFormat			_WSSdateFormat()
#define WSSweekFormat			_WSSweekFormat()
#define WSSclockFormat			_WSSclockFormat()
#define WSSsecondOn			_WSSsecondOn()
#define WSSdirName			_WSSdirName()
#define WSSfileName			_WSSfileName()
#define WSSmaskFileName			_WSSmaskFileName()
#define WSSreplyHandler			_WSSreplyHandler()
#define WSSdefaultPosition			_WSSdefaultPosition()
#define WSSlineWidth			_WSSlineWidth()
#define WSSblinkType			_WSSblinkType()
#define WSSpushPixmap			_WSSpushPixmap()
#define WSSblinkPixmap			_WSSblinkPixmap()
#define WSSmarginTop			_WSSmarginTop()
#define WSSmarginBottom			_WSSmarginBottom()
#define WSSmarginLeft			_WSSmarginLeft()
#define WSSmarginRight			_WSSmarginRight()
#define WSSalignmentH			_WSSalignmentH()
#define WSSalignmentV			_WSSalignmentV()
#define WSSalignmentH2			_WSSalignmentH2()
#define WSSalignmentV2			_WSSalignmentV2()
#define WSSlineX			_WSSlineX()
#define WSSlineY			_WSSlineY()
#define WSSlineNum			_WSSlineNum()
#define WSSvalue1			_WSSvalue1()
#define WSSvalue2			_WSSvalue2()
#define WSSlineType			_WSSlineType()
#define WSSarrowDirection			_WSSarrowDirection()
#define WSSblinkFlag			_WSSblinkFlag()
#define WSSblinkRate			_WSSblinkRate()
#define WSSstippled			_WSSstippled()
#define WSShatchPattern			_WSShatchPattern()
#define WSShatchColor			_WSShatchColor()
#define WSShatchBlinkColor			_WSShatchBlinkColor()
#define WSSbackColorFlag			_WSSbackColorFlag()
#define WSSbackBlinkColor			_WSSbackBlinkColor()
#define WSSreverseFlag			_WSSreverseFlag()
#define WSSminimum			_WSSminimum()
#define WSSangle1			_WSSangle1()
#define WSSangle2			_WSSangle2()
#define WSSarcType			_WSSarcType()
#define WSSdragInterval			_WSSdragInterval()
#define WSSindicatorShadow			_WSSindicatorShadow()
#define WSSemboss			_WSSemboss()
#define WSSmouse			_WSSmouse()
#define WSSusePixmap			_WSSusePixmap()
#define WSSenableInput			_WSSenableInput()
#define WSSok			_WSSok()
#define WSSno			_WSSno()
#define WSScancel			_WSScancel()
#define WSSokString			_WSSokString()
#define WSSnoString			_WSSnoString()
#define WSScancelString			_WSScancelString()
#define WSSmodal			_WSSmodal()
#define WSStype			_WSStype()
#define WSSmaxHeight			_WSSmaxHeight()
#define WSSmultiSelect			_WSSmultiSelect()
#define WSSreverseSelect			_WSSreverseSelect()
#define WSSmargin			_WSSmargin()
#define WSSname			_WSSname()
#define WSSuseIcon			_WSSuseIcon()
#define WSSiconPixmap			_WSSiconPixmap()
#define WSSvirtualScroll			_WSSvirtualScroll()
#define WSSnoHatch			_WSSnoHatch()
#define WSSselectDir			_WSSselectDir()
#define WSSgradation			_WSSgradation()
#define WSSgradation2			_WSSgradation2()
#define WSSgradationMargin		_WSSgradationMargin()
#define WSSshortcut			_WSSshortcut()
#define WSSreturnKeyFocus			_WSSreturnKeyFocus()
#define WSSexit			_WSSexit()
#define WSSitemHeight			_WSSitemHeight()
#define WSSdata			_WSSdata()
#define WSSdataSource			_WSSdataSource()
#define WSSdataSourceName			_WSSdataSourceName()
#define WSSanchorTop			_WSSanchorTop()
#define WSSanchorBottom			_WSSanchorBottom()
#define WSSanchorLeft			_WSSanchorLeft()
#define WSSanchorRight			_WSSanchorRight()
#define WSSanchorTopFlag			_WSSanchorTopFlag()
#define WSSanchorBottomFlag			_WSSanchorBottomFlag()
#define WSSanchorLeftFlag			_WSSanchorLeftFlag()
#define WSSanchorRightFlag			_WSSanchorRightFlag()
#define WSSflip			_WSSflip()
#define WSSframe			_WSSframe()
#define WSSformat			_WSSformat()
#define WSSworkX			_WSSworkX()
#define WSSworkY			_WSSworkY()
#define WSSdisplayOnly			_WSSdisplayOnly()
#define WSSrefreshing			_WSSrefreshing()
#define WSSvcolumns			_WSSvcolumns()
#define WSShcolumns			_WSShcolumns()
#define WSSseparator			_WSSseparator()
#define WSSfit			_WSSfit()
#define WSSip			_WSSip()
#define WSSport			_WSSport()
#define WSStimeout			_WSStimeout()
#define WSSexport			_WSSexport()
#define WSSusername			_WSSusername()
#define WSSpassword			_WSSpassword()
#define WSSdbname			_WSSdbname()
#define WSSdsn			_WSSdsn()
#define WSShostname			_WSShostname()
#define WSSstatus			_WSSstatus()
#define WSSdbTableName		_WSSdbTableName()
#define WSSshowItem		_WSSshowItem()
#define WSSsortItems		_WSSsortItems()
#define WSSsort  		_WSSsort()
#define WSSitem  		_WSSitem()
#define WSSfilter  		_WSSfilter()

#ifdef WS_USE_MOUSE_IMAGE
#define WSSmouseImg			_WSSmouseImg()
#endif


extern WSDLEX32 char* _WSStitleString();
extern WSDLEX32 char* _WSSuserString();
extern WSDLEX32 char* _WSSuserValue();
extern WSDLEX32 char* _WSSx();
extern WSDLEX32 char* _WSSy();
extern WSDLEX32 char* _WSSwidth();
extern WSDLEX32 char* _WSSheight();
extern WSDLEX32 char* _WSSshadowThickness();
extern WSDLEX32 char* _WSSbackColor();
extern WSDLEX32 char* _WSSforeColor();
extern WSDLEX32 char* _WSStopShadowColor();
extern WSDLEX32 char* _WSSbottomShadowColor();
extern WSDLEX32 char* _WSSshadowType();
extern WSDLEX32 char* _WSSvis();
extern WSDLEX32 char* _WSSdet();
extern WSDLEX32 char* _WSSlabelString();
extern WSDLEX32 char* _WSSfont();
extern WSDLEX32 char* _WSSfontName();
extern WSDLEX32 char* _WSStitleBar();
extern WSDLEX32 char* _WSStwinBlink();
extern WSDLEX32 char* _WSSblinkColor();
extern WSDLEX32 char* _WSSblinkRefreshing();
extern WSDLEX32 char* _WSSpixmapStyle();
extern WSDLEX32 char* _WSSlabelPixmap();
extern WSDLEX32 char* _WSSkanjiIn();
extern WSDLEX32 char* _WSSinterCur();
extern WSDLEX32 char* _WSSinterval();
extern WSDLEX32 char* _WSScont();
extern WSDLEX32 char* _WSSrunning();
extern WSDLEX32 char* _WSSextension();
extern WSDLEX32 char* _WSSmaxLength();
extern WSDLEX32 char* _WSSworkWidth();
extern WSDLEX32 char* _WSSworkHeight();
extern WSDLEX32 char* _WSSbarValue();
extern WSDLEX32 char* _WSSvbarValue();
extern WSDLEX32 char* _WSShbarValue();
extern WSDLEX32 char* _WSShbarVisible();
extern WSDLEX32 char* _WSSvbarVisible();
extern WSDLEX32 char* _WSSworkBackColor();
extern WSDLEX32 char* _WSSbarThickness();
extern WSDLEX32 char* _WSSincrement();
extern WSDLEX32 char* _WSSpageIncrement();
extern WSDLEX32 char* _WSSsliderSize();
extern WSDLEX32 char* _WSSvalue();
extern WSDLEX32 char* _WSSmaximum();
extern WSDLEX32 char* _WSSorientation();
extern WSDLEX32 char* _WSSbackPixmap();
extern WSDLEX32 char* _WSScolumns();
extern WSDLEX32 char* _WSScursorPos();
extern WSDLEX32 char* _WSSmenuItems();
extern WSDLEX32 char* _WSSmenuItemHeight();
extern WSDLEX32 char* _WSSbarShadowColor();
extern WSDLEX32 char* _WSSupward();
extern WSDLEX32 char* _WSSdownward();
extern WSDLEX32 char* _WSSleftward();
extern WSDLEX32 char* _WSSrightward();
extern WSDLEX32 char* _WSSreturn();
extern WSDLEX32 char* _WSStab();
extern WSDLEX32 char* _WSSbacktab();
extern WSDLEX32 char* _WSSenableFocusMove();
extern WSDLEX32 char* _WSSclient();
extern WSDLEX32 char* _WSSselectReset();
extern WSDLEX32 char* _WSSselectString();
extern WSDLEX32 char* _WSSselectColor();
extern WSDLEX32 char* _WSSselectForeColor();
extern WSDLEX32 char* _WSSselectPixmap();
extern WSDLEX32 char* _WSSindicatorPixmap();
extern WSDLEX32 char* _WSSindicatorColor();
extern WSDLEX32 char* _WSSindicatorOn();
extern WSDLEX32 char* _WSSindicatorType();
extern WSDLEX32 char* _WSSindicatorSize();
extern WSDLEX32 char* _WSSgroup();
extern WSDLEX32 char* _WSSid();
extern WSDLEX32 char* _WSSunique();
extern WSDLEX32 char* _WSSscrollWidth();
extern WSDLEX32 char* _WSSscrollHeight();
extern WSDLEX32 char* _WSStitleHeight();
extern WSDLEX32 char* _WSSfillSpace();
extern WSDLEX32 char* _WSSifieldSkipMode();
extern WSDLEX32 char* _WSScursorAdjust();
extern WSDLEX32 char* _WSSdateFormat();
extern WSDLEX32 char* _WSSweekFormat();
extern WSDLEX32 char* _WSSclockFormat();
extern WSDLEX32 char* _WSSsecondOn();
extern WSDLEX32 char* _WSSdirName();
extern WSDLEX32 char* _WSSfileName();
extern WSDLEX32 char* _WSSmaskFileName();
extern WSDLEX32 char* _WSSreplyHandler();
extern WSDLEX32 char* _WSSdefaultPosition();
extern WSDLEX32 char* _WSSlineWidth();
extern WSDLEX32 char* _WSSblinkType();
extern WSDLEX32 char* _WSSpushPixmap();
extern WSDLEX32 char* _WSSblinkPixmap();
extern WSDLEX32 char* _WSSmarginTop();
extern WSDLEX32 char* _WSSmarginBottom();
extern WSDLEX32 char* _WSSmarginLeft();
extern WSDLEX32 char* _WSSmarginRight();
extern WSDLEX32 char* _WSSalignmentH();
extern WSDLEX32 char* _WSSalignmentV();
extern WSDLEX32 char* _WSSalignmentH2();
extern WSDLEX32 char* _WSSalignmentV2();
extern WSDLEX32 char* _WSSlineX();
extern WSDLEX32 char* _WSSlineY();
extern WSDLEX32 char* _WSSlineNum();
extern WSDLEX32 char* _WSSvalue1();
extern WSDLEX32 char* _WSSvalue2();
extern WSDLEX32 char* _WSSlineType();
extern WSDLEX32 char* _WSSarrowDirection();
extern WSDLEX32 char* _WSSblinkFlag();
extern WSDLEX32 char* _WSSblinkRate();
extern WSDLEX32 char* _WSSstippled();
extern WSDLEX32 char* _WSShatchPattern();
extern WSDLEX32 char* _WSShatchColor();
extern WSDLEX32 char* _WSShatchBlinkColor();
extern WSDLEX32 char* _WSSbackColorFlag();
extern WSDLEX32 char* _WSSbackBlinkColor();
extern WSDLEX32 char* _WSSreverseFlag();
extern WSDLEX32 char* _WSSminimum();
extern WSDLEX32 char* _WSSangle1();
extern WSDLEX32 char* _WSSangle2();
extern WSDLEX32 char* _WSSarcType();
extern WSDLEX32 char* _WSSdragInterval();
extern WSDLEX32 char* _WSSindicatorShadow();
extern WSDLEX32 char* _WSSemboss();
extern WSDLEX32 char* _WSSmouse();
extern WSDLEX32 char* _WSSusePixmap();
extern WSDLEX32 char* _WSSenableInput();
extern WSDLEX32 char* _WSSok();
extern WSDLEX32 char* _WSSno();
extern WSDLEX32 char* _WSScancel();
extern WSDLEX32 char* _WSSokString();
extern WSDLEX32 char* _WSSnoString();
extern WSDLEX32 char* _WSScancelString();
extern WSDLEX32 char* _WSSmodal();
extern WSDLEX32 char* _WSStype();
extern WSDLEX32 char* _WSSmaxHeight();
extern WSDLEX32 char* _WSSmultiSelect();
extern WSDLEX32 char* _WSSreverseSelect();
extern WSDLEX32 char* _WSSmargin();
extern WSDLEX32 char* _WSSname();
extern WSDLEX32 char* _WSSuseIcon();
extern WSDLEX32 char* _WSSiconPixmap();
extern WSDLEX32 char* _WSSvirtualScroll();
extern WSDLEX32 char* _WSSnoHatch();
extern WSDLEX32 char* _WSSselectDir();
extern WSDLEX32 char* _WSSgradation();
extern WSDLEX32 char* _WSSgradation2();
extern WSDLEX32 char* _WSSgradationMargin();
extern WSDLEX32 char* _WSSshortcut();
extern WSDLEX32 char* _WSSreturnKeyFocus();
extern WSDLEX32 char* _WSSexit();
extern WSDLEX32 char* _WSSitemHeight();
extern WSDLEX32 char* _WSSdata();
extern WSDLEX32 char* _WSSdataSource();
extern WSDLEX32 char* _WSSdataSourceName();
extern WSDLEX32 char* _WSSanchorTop();
extern WSDLEX32 char* _WSSanchorBottom();
extern WSDLEX32 char* _WSSanchorLeft();
extern WSDLEX32 char* _WSSanchorRight();
extern WSDLEX32 char* _WSSanchorTopFlag();
extern WSDLEX32 char* _WSSanchorBottomFlag();
extern WSDLEX32 char* _WSSanchorLeftFlag();
extern WSDLEX32 char* _WSSanchorRightFlag();
extern WSDLEX32 char* _WSSflip();
extern WSDLEX32 char* _WSSframe();
extern WSDLEX32 char* _WSSformat();
extern WSDLEX32 char* _WSSworkX();
extern WSDLEX32 char* _WSSworkY();
extern WSDLEX32 char* _WSSdisplayOnly();
extern WSDLEX32 char* _WSSrefreshing();
extern WSDLEX32 char* _WSSvcolumns();
extern WSDLEX32 char* _WSShcolumns();
extern WSDLEX32 char* _WSSseparator();
extern WSDLEX32 char* _WSSfit();
extern WSDLEX32 char* _WSSip();
extern WSDLEX32 char* _WSSport();
extern WSDLEX32 char* _WSStimeout();
extern WSDLEX32 char* _WSSexport();
extern WSDLEX32 char* _WSSusername();
extern WSDLEX32 char* _WSSpassword();
extern WSDLEX32 char* _WSSdbname();
extern WSDLEX32 char* _WSSdsn();
extern WSDLEX32 char* _WSShostname();
extern WSDLEX32 char* _WSSstatus();
extern WSDLEX32 char* _WSSdbTableName();
extern WSDLEX32 char* _WSSshowItem();
extern WSDLEX32 char* _WSSsortItems();
extern WSDLEX32 char* _WSSsort();
extern WSDLEX32 char* _WSSitem();
extern WSDLEX32 char* _WSSfilter();

#ifdef WS_USE_MOUSE_IMAGE
extern WSDLEX32 char* _WSSmouseImg();
#endif

#else //WS_EMBED

#define WSStitleString			""
#define WSSuserString			""
#define WSSuserValue			""
#define WSSx			""
#define WSSy			""
#define WSSwidth			""
#define WSSheight			""
#define WSSshadowThickness	""
#define WSSbackColor		""
#define WSSforeColor		""
#define WSStopShadowColor	""
#define WSSbottomShadowColor	""
#define WSSshadowType		""
#define WSSvis			""
#define WSSdet			""
#define WSSlabelString			""
#define WSSfont			""
#define WSSfontName			""
#define WSStitleBar			""
#define WSStwinBlink			""
#define WSSblinkColor			""
#define WSSblinkRefreshing			""
#define WSSpixmapStyle			""
#define WSSlabelPixmap			""
#define WSSkanjiIn			""
#define WSSinterCur			""
#define WSSinterval			""
#define WSScont				""
#define WSSrunning				""
#define WSSextension			""
#define WSSmaxLength			""
#define WSSworkWidth			""
#define WSSworkHeight			""
#define WSSbarValue			""
#define WSSvbarValue			""
#define WSShbarValue			""
#define WSShbarVisible			""
#define WSSvbarVisible			""
#define WSSworkBackColor			""
#define WSSbarThickness			""
#define WSSincrement			""
#define WSSpageIncrement			""
#define WSSsliderSize			""
#define WSSvalue			""
#define WSSmaximum			""
#define WSSorientation			""
#define WSSbackPixmap			""
#define WSScolumns			""
#define WSScursorPos			""
#define WSSmenuItems			""
#define WSSmenuItemHeight			""
#define WSSbarShadowColor			""
#define WSSupward			""
#define WSSdownward			""
#define WSSleftward			""
#define WSSrightward			""
#define WSSreturn			""
#define WSStab			""
#define WSSbacktab			""
#define WSSenableFocusMove			""
#define WSSclient			""
#define WSSselectReset			""
#define WSSselectString			""
#define WSSselectColor			""
#define WSSselectForeColor			""
#define WSSselectPixmap			""
#define WSSindicatorPixmap			""
#define WSSindicatorColor			""
#define WSSindicatorOn			""
#define WSSindicatorType			""
#define WSSindicatorSize			""
#define WSSgroup			""
#define WSSid			""
#define WSSunique			""
#define WSSscrollWidth			""
#define WSSscrollHeight			""
#define WSStitleHeight			""
#define WSSfillSpace			""
#define WSSifieldSkipMode		""
#define WSScursorAdjust			""
#define WSSdateFormat			""
#define WSSweekFormat			""
#define WSSclockFormat			""
#define WSSsecondOn			""
#define WSSdirName			""
#define WSSfileName			""
#define WSSmaskFileName			""
#define WSSreplyHandler			""
#define WSSdefaultPosition			""
#define WSSlineWidth			""
#define WSSblinkType			""
#define WSSpushPixmap			""
#define WSSblinkPixmap			""
#define WSSmarginTop			""
#define WSSmarginBottom			""
#define WSSmarginLeft			""
#define WSSmarginRight			""
#define WSSalignmentH			""
#define WSSalignmentV			""
#define WSSalignmentH2			""
#define WSSalignmentV2			""
#define WSSlineX			""
#define WSSlineY			""
#define WSSlineNum			""
#define WSSvalue1			""
#define WSSvalue2			""
#define WSSlineType			""
#define WSSarrowDirection			""
#define WSSblinkFlag			""
#define WSSblinkRate			""
#define WSSstippled			""
#define WSShatchPattern			""
#define WSShatchColor			""
#define WSShatchBlinkColor			""
#define WSSbackColorFlag			""
#define WSSbackBlinkColor			""
#define WSSreverseFlag			""
#define WSSminimum			""
#define WSSangle1			""
#define WSSangle2			""
#define WSSarcType			""
#define WSSdragInterval			""
#define WSSindicatorShadow			""
#define WSSemboss			""
#define WSSmouse			""
#define WSSusePixmap			""
#define WSSenableInput			""
#define WSSok			""
#define WSSno			""
#define WSScancel			""
#define WSSokString			""
#define WSSnoString			""
#define WSScancelString			""
#define WSSmodal			""
#define WSStype			""
#define WSSmaxHeight			""
#define WSSmultiSelect			""
#define WSSreverseSelect			""
#define WSSmargin			""
#define WSSname			""
#define WSSuseIcon			""
#define WSSiconPixmap		""
#define WSSvirtualScroll			""
#define WSSnoHatch			""
#define WSSselectDir			""
#define WSSgradation			""
#define WSSgradation2			""
#define WSSgradationMargin		""
#define WSSshortcut			""
#define WSSreturnKeyFocus			""
#define WSSexit			""
#define WSSitemHeight			""
#define WSSdata			""
#define WSSdataSource			""
#define WSSdataSourceName			""
#define WSSanchorTop			""
#define WSSanchorBottom			""
#define WSSanchorLeft			""
#define WSSanchorRight			""
#define WSSanchorTopFlag			""
#define WSSanchorBottomFlag			""
#define WSSanchorLeftFlag			""
#define WSSanchorRightFlag			""
#define WSSflip			""
#define WSSframe			""
#define WSSformat			""
#define WSSworkX			""
#define WSSworkY			""
#define WSSdisplayOnly			""
#define WSSrefreshing			""
#define WSSvcolumns			""
#define WSShcolumns			""
#define WSSseparator			""
#define WSSfit			""
#define WSSip			""
#define WSSport			""
#define WSStimeout			""
#define WSSexport			""
#define WSSusername			""
#define WSSpassword			""
#define WSSdbname			""
#define WSSdsn			""
#define WSShostname			""
#define WSSstatus			""
#define WSSdbTableName		""
#define WSSshowItem		""
#define WSSsortItems		""
#define WSSsort  		""
#define WSSitem  		""
#define WSSfilter  		""

#ifdef WS_USE_MOUSE_IMAGE
#define WSSmouseImg			""
#endif

#endif //WS_EMBED

#endif
